Server allocations
Documentation for Server allocations
Read time 1 minuteLast updated 2 months ago
Returns details of one or more allocations.
This endpoint should be polled by a matchmaker to monitor for the state of allocations that have been request.
It is recommended that you poll in batches of up to 100 allocations at a time.
https://api.multiplay.co.uk/cfp/v1/server/allocations
METHOD | CONTENT TYPE |
GET | application/x-www-form-urlencoded |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
fleetid | The parameter accepts the ID of the fleet the allocations belong to. | No |
uuid | The parameter can be provided more than once with different allocation UUIDs. The response body includes information about the specified allocations. All the specified UUIDs must belong to the same fleet. | No |
Response fields
|
|
|
|
|---|---|---|---|
profileid | integer | ID of the profile used by this server | No |
uuid | string | ID of the allocation | No |
regions | string | ID of regions this game server is in | No |
created | string | Time at which the allocation was created | No |
requested | string | Time at which the allocation was requested | No |
fulfilled* | string | Time at which the allocation was fulfilled | No |
ready* | string | Time at which the allocation was marked as | Yes |
serverid* | integer | ID of the server for this allocation | No |
fleetid | string | ID of the fleet this server is in | No |
regionid* | string | ID of the region this server is in | No |
machineid* | integer | ID of the machine this server is on | No |
ip* | string | IP (version 4) address of this game server | No |
ipv6* | string | IP (version 6) address of this game server (if supported by your fleet) | Yes |
game_port* | integer | Network port for this game server | No |
error | string | Details of any errors that occurred during allocation | Yes |
Fields marked with * can be returned as an empty string until the allocation process is complete.
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/server/allocations?fleetid=<fleetid>&uuid=<uuid>&uuid=<uuid>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "success": true, "messages": [], "allocations": [ { "profileid": <profileid>, "uuid": <uuid>, "regions": <regions>, "created": <created>, "requested": <requested>, "fulfilled": <fufilled>, "serverid": <serverid>, "fleetid": <fleetid>, "regionid": <regionid>, "machineid": <machineid>, "ip": <ip>, "ipv6": <ipv6>, "game_port": <port>, "error": <error>, "ready": <status> } ]}